Bug 37216 - Installation hangs immediately upon 'Initialising PC Cards' (PCMCIA related)
Summary: Installation hangs immediately upon 'Initialising PC Cards' (PCMCIA related)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-23 15:47 UTC by Neil Bird
Modified: 2015-01-04 22:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 01:54:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neil Bird 2001-04-23 15:47:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)


Install hangs on the first page to be displayed: 'Initialising PC Cards'.
Switching to screens on F3/4 shows reports about loading pcmcia kernal 
modules (pcmcia_core.o & tcio.o - after "Databook TCIC-2 probe").

However, this is on a straight (Abit BP-6) desktop PC with (AFAIK!) no 
PCMCIA.

Install works (so far) upon 'export nopcmcia' from CD's LILO.

More info available upon request.


Reproducible: Always
Steps to Reproduce:
1. Boot from SeaWolf CD.
2. Select any boot option bar 'rescue' or 'nopcmcia'.
3. Wait.
	

Actual Results:  Left on initial screen. <Alt-Ctrl-F1/3/4> work, but no 
further result.

Expected Results:  Boot/installtion continues.

Available upon request. See above ref. to pcmcia_core.o/tcic.o.

Comment 1 Brent Fox 2001-04-23 15:52:43 UTC
Bill, is this a problem with kudzu detecting devices that aren't there or is the
kernel?

Comment 2 Bill Nottingham 2001-04-23 15:57:53 UTC
No. It's a loader bug.

Comment 3 Neil Bird 2001-04-24 08:03:45 UTC
Slight inaccuracies - the message is 'Initialising PC Card Devices', and the
option I work around it with is 'expErt nopcmcia'. ISTRT linux nopcmcia works OK
too.

FWIW, here's my quickly jotted copy of the logging info. - just the last,
seemingly pertinant, bits (sorry - there's a bit of my writing I can't now
read!):

Console F3:
* startPcmcia
* pcmcia probe returned: |PCI bridge probe: not found
Intel PCIC probe: not found
Databook TCIC-2 probe: at 0x240; Unknown TCIC-2 <something> 0x00 found at 0x240,
2 sockets
|
* need to load tcic
* going to insmod pcmcia_core.o (path is NULL)
* going to insmod tcic.o (path is NULL)

Console F4:
<6> LinuxPCMCIA CardServices 3.1.22
<6> options: [pci] [cardbus]

  I can then chose diff. consoles (<Alt-Ctrl>) but it never goes any further.


Comment 4 Brent Fox 2001-05-02 20:43:05 UTC
Can you boot into the installed system and run '/sbin/probe'?  What happens then?

Comment 5 Neil Bird 2001-05-04 08:11:52 UTC
I found /usr/sbin/probe through the bash prompt *during* installation; it's not
there in the final 7.1 install that I now have. It's output mirrors previously
reported messages:

% /usr/sbin/probe
PCI bridge probe: not found
Intel PCIC probe: not found
Databook TCIC-2 probe: at 0x240: Unknown TCIC-2 ID 0x00 found at  0x240, 2
sockets

Exactly the same as previously reported, in fact, looking back. The bit I
mis-scribbled was "ID".


Comment 6 Brent Fox 2001-05-04 15:08:01 UTC
probe is part of the kernel-pcmcia-cs package.  For some reason, the system
thinks that it has pcmcia devices that aren't there.  Changing component to the
kernel.



Comment 7 Neil Bird 2001-10-29 12:25:20 UTC
Bad news, I'm afraid.

The new 7.2 installation hangs for pretty much the same reason.  However, this 
time it's even worse: the freeze (in the same 'looking for cards' place) 
completely locks the machine (<Alt-Ctrl-F> keys won't swap sessions and a-c-del 
won't reboot).

Booting 'nopcmcia' does the trick again, fortunately.

Does this need to be re-raised on 7.2?

Comment 8 Arjan van de Ven 2001-10-29 12:37:24 UTC
I have a BP6 at home and it doesn't show this AT ALL, strangely.
Can you attach the output of lspci ?
And do you have isa cards in the machine ?

Comment 9 Arjan van de Ven 2001-10-29 12:39:03 UTC
Also the version of pcmcia-cs that anaconda uses is very old; seems it might
want updating......

Comment 10 Neil Bird 2001-10-29 12:42:50 UTC
Will get lspci output when I get home.

I have an ancient ISA network card.  I'll see if the hang occurs with that 
ripped out.

Comment 11 Neil Bird 2001-10-30 08:13:45 UTC
Not had chance to try the boot disc without the ISA network card yet.

# /sbin/lspci
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
00:0d.0 Multimedia audio controller: Creative Labs SB Live! EMU10000 (rev 07)
00:0d.1 Input device controller: Creative Labs SB Live! (rev 07)
00:13.0 Unknown mass storage controller: HighPoint Technologies, Inc. HPT366/370
UltraDMA 66/100 IDE Controller (rev 01)
00:13.1 Unknown mass storage controller: HighPoint Technologies, Inc. HPT366/370
UltraDMA 66/100 IDE Controller (rev 01)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 04)


Comment 12 Neil Bird 2001-11-01 09:27:22 UTC
Yep, unplugging the old ISA ethernet card solved it.  I've bozzed a PCI card 
instead and it all works swimmingly now.

Not that that necessarily narrows down the lock up ...

Comment 13 Dave Jones 2004-10-26 01:54:39 UTC
hopefully fixed in current releases, please reopen if reproducable with
Fedora/RHEL.

Thanks.



Note You need to log in before you can comment on or make changes to this bug.